Subject: Re: The ecosystem is moving
From: Miles Fidelman <[email-masked]>
To: Richard Shockey <[email-masked]>, [email-masked]
Date: Sat, 14 May 2016 18:41:23 -0400
List-Id: IETF-Discussion <ietf.ietf.org>

On 5/14/16 5:46 PM, Richard Shockey wrote:

> In Line ..
>

Also in line.
>
> *From: *ietf <[email-masked]> on behalf of Miles Fidelman 
> <[email-masked]>
> *Date: *Friday, May 13, 2016 at 9:38 PM
> *To: *<[email-masked]>
> *Subject: *Re: The ecosystem is moving
>
> Back to the original point, for a moment:
>
> Stephane Bortzmeyer <[email-masked]> <mailto:[email-masked]> 
> Wed, 11 May 2016 12:58 UTCShow header
>
>
>     A very interesting paper (I said "intesresting", I didn't say I
>     agree!) on open networks where independant nodes with independently
>     developed programs interoperate thanks to standards. The author claims
>     closed and centralized systemes are better, because they allow faster
>     evolution (he uses security as an example).
>
>     Many IETF cases mentioned (XMPP, IPv6, email...)
>
>     https://whispersystems.org/blog/the-ecosystem-is-moving/
>
>
> My long-standing observation is that the climate has changed.  In the 
> early days, there was both "demand pull" for new protocols, and an 
> environment that encouraged (and to an extent) funded new protocol 
> development and deployment.
>
> Since then, the climate has changed:
>
> - it's very hard to get a new protocol into the ecosystem (there are 
> quite a few useful protocols, that simply are not supported)
>
> RS> Like security protocols?   Dare I say it its harder and harder to 
> get any work done in standards bodies and the IETF in particular?   We 
> have met the enemy and it is us… are we the new ITU?   That is another 
> thread altogether.
>
>
>
> - the drivers have changed from greater interconnection and 
> interoperability (back to the original ARPANET drivers of resource 
> sharing and collaboration) - to "can it be monetized?"
>
> RS> Duh! Time to market.  That said genuine interconnection and 
> interoperability still does have value. Both the internet and the 
> legacy as well as evolving global SIP voice network proves that.   
> There is a strong counter argument that long term value in global 
> communications, namely persistent revenue streams, are built on 
> globally interoperable services.  ATT, DT, BT, FT, Bell,  NTT etc have 
> not gone out of business, though they endlessly whine about losing 
> some of the value models.  We can send them some cheese to go with 
> their whining.
>

Worse than that, I think.  The first generation protocols were not 
driven my market at all - think Ray Tomlinson and email, or Tim 
Berners-Lee and HTTP.  Nobody ever set out to make money from them - and 
nobody really has (except for some hosting).

> In the short term Layer 7 silos can work, especially in closed user 
> communities, think instant messaging in the financial community and 
> secure public safety applications as you correctly point out but at 
> global scale you hit a wall eventually.
>
> It's simply a lot easier to deploy a new SaaS, behind an API, and to 
> charge for it, than it is to deploy new protocol infrastructure.
>
> RS> +1 That is certainly what is going on in Real-time Voice Services. 
> Think Skype in its original deployment.  I noted that the piece called 
> out the reuse of phone numbers as persistent global identifiers for 
> service delivery.  Oh  Internet domains .. they are soooooo 90’s J
>
> I totally get that.  TN’s are globally unique they are ubiquitous, 
> linguistically neutral and people have proven that if you use them 
> correctly you can make a boat load of money.  WhatsApp?  Wow use the 
> phone numbers and the existing national regulatory number allocation 
> regime. Centralize your application ..collect 8 Billion dollars and do 
> not pass GO.   Works for me!  Why didn’t I think of that?
>
> If I had 5 euro/dollars/pounds for every time I’ve heard “Phone 
> numbers are stupid” I be sitting in the sun in St. Barts or the South 
> of France with a cold glass of Champagne and would have resigned from 
> this list years ago.
>
>
>
> The exception seems to be when there is a strong "forcing function" - 
> applied top-down.  DoD Force Transformation & the Command & Control 
> Research Program drove new operational models into the military 
> environment - into networks, into system specifications, and into 
> doctrine. Examples that come to mind:
> - XMPP is widely used for tactical chat
> - DIS is widely used to support distributed simulation and training - 
> including deployment of persistent training federations
> - Tactical Data Links (e.g., Link-16) are all over the place
> - DDS is widely used for sensor-weapon linkages
> Also of note - NNTP remains widely used on the SIPRNET, at the top of 
> the MDMP (Military Decision Making Process)
>
> Another example that comes to mind is the Digital Libraries Initiative 
> - which forced a lot standards and protocols for library system 
> interoperability.
>
> IMHO, without such forcing functions, the natural tendency is toward 
> centralized, proprietary services - and back toward a world of walled 
> gardens.  Even in areas where we have a measure of widespread 
> interoperability - such as calendaring - we see things like Google 
> pulling iCal support - making it ever so much more tedious to schedule 
> a meeting.
>
> RS> Excellent observation and spot on with the issue with iCal.  Don’t 
> get me started with trying to sync Outlook for Mac with the rest of my 
> Apple device infrastructure.  Gurrrrr.
>

For what it's worth - I'm starting to push the idea of some kind of 
equivalent to the CCRP or Digital Libraries initiative - time for a new 
forcing function.

-- 
In theory, there is no difference between theory and practice.
In practice, there is.  .... Yogi Berra